Page 1 of 10 123 ... LastLast
Results 1 to 10 of 92

Thread: Catalyst 8.6 + Cedega = graphics corruption

  1. #1

    Default Catalyst 8.6 + Cedega = graphics corruption

    It seems that the latest update from AMD has some problems running with Cedega... Took pictures with my cellphone to kind of demonstrate the problem if it helps figure why the corruption is happening.


    In most cases OpenGL support seems to be functional, with UT2k4, Warsow, Nexuiz, and Alien Arena all working perfectly...

    However, attempting to start up a game through Cedega on the 8.6 driver results in well...


    RadeonHD 3870



    Using Control Alt Backspace, then killing WINE, gives me something like these

    RadeonHD 3870


    Radeon 9600



    Anybody have any ideas what went screwy with the new driver?

  2. #2
    Join Date
    Oct 2007
    Posts
    321

    Default

    1 question, do you have compiz fusion disabled? if so try enabling it and looking again... this appears very similar to a bug i face with FGLRX 8.5 and 8.6 with it disabled.

  3. #3

    Default

    Quote Originally Posted by Dandel View Post
    1 question, do you have compiz fusion disabled? if so try enabling it and looking again... this appears very similar to a bug i face with FGLRX 8.5 and 8.6 with it disabled.
    neither compiz-fusion nor beryl are installed.

  4. #4
    Join Date
    Oct 2007
    Posts
    321

    Default

    you could try installing that, although it'd be good to see the xorg config file to see if any changes are needed to that, because i don't have any of those issues... and as a quick note i don't see any of these problems... here's a quick spec of what i am using...

    Ubuntu 8.04
    FGLRX 8.6 ( 8.5 contained major bugs that made it unusable. )
    wine 1.0
    and of course my video card is a Radeon X1900GT.

  5. #5
    Join Date
    May 2008
    Posts
    37

    Default

    I have exactly the same problem with the new drivers. It happens with Cedega, Wine and crossover games. I don't have compiz-fusion enabled.


    *Adding x11-drivers/ati-drivers-8.501 to package.mask*
    Last edited by aniruddha; 06-20-2008 at 11:26 AM.

  6. #6
    Join Date
    Feb 2008
    Posts
    23

    Angry [ Same ]

    Same problem,

    unable to use wine or cedega with 8.6 ati drivers :x

    Slackware 12.1 with wmaker, no compiz fusion ... tested with 2.6.24.7 and 2.6.25.7 recompiled kernels ...

    8.5 ati drivers are working (using the workaround to get rid of the black borders) and so are 8.4 drivers.

    That's "a bit" sad ... how comes such problems can happen on so many comps we got and ATI are still releasing their trash ??

    I wonder if I'll be able to use my 3870X2 one day ... so sad :X

    ...

  7. #7
    Join Date
    Dec 2007
    Location
    /dev/hell
    Posts
    297

    Default

    Here on a amd64 machine doesn't happen!

    fglrx 8.6, kernel tuxonice-sources-2.6.25-r4 (from gentoo tree)

    could be just x86 related?

  8. #8
    Join Date
    Jun 2008
    Posts
    32

    Default

    I get simmilar corruption with Wine on a X1600 XT on Gentoo x86.

    Since I couldn't find a bug report, I created one: http://ati.cchtml.com/show_bug.cgi?id=1173

  9. #9
    Join Date
    Oct 2007
    Posts
    5

    Default

    same results with gentoo amd64 and wine 1.0 here

  10. #10
    Join Date
    Oct 2007
    Posts
    321

    Default

    i stand corrected, did a few changes and ran a 2D app on wine and it happened to me... the fix is to restart your xorg server.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •